XPSTOPS(1)

NAME
xpstops - XPS to PostScript converter

SYNOPSIS

xpstops [OPTION...] FILE [OUTPUT FILE]

DESCRIPTION

xpstops converts XPS documents to PostScript format. xpstops reads the XPS file, FILE, and writes a PostScript file, OUTPUT FILE. If OUTPUT FILE is not specified the output filename will be derived from the FILE filename.

OPTIONS

-?, --help
    Show help options.

-d DOCUMENT, --document=DOCUMENT
    The document inside the XPS file to convert. By default, the first document of the XPS file is used.

-f PAGE, --first=PAGE
    The first page to convert.

-l PAGE, --last=PAGE
    The last page to convert.

-o, --odd
    Convert only odd pages.

-e, --even
    Convert only even pages.

-r RESOLUTION, --resolution=RESOLUTION
    Horizontal and vertical resolution in PPI (Pixels Per Inch). The default is 150 PPI.

--rx=RESOLUTION
    Horizontal resolution in PPI (Pixels Per Inch). The default is 150 PPI.

--ry=RESOLUTION
    Vertical resolution in PPI (Pixels Per Inch). The default is 150 PPI.

-x X, --crop-x=X
    The x-coordinate of the crop area top left corner.

-y Y, --crop-y=Y
    The y-coordinate of the crop area top left corner.

-w WIDTH, --crop-width=WIDTH
    The width of crop area.

-h HEIGHT, --crop-height=HEIGHT
    The height of crop area.

--level2
    Generate Level 2 PostScript. Level 2 supports color images and image compression.

--level3
    Generate Level 3 PostScript. This enables all Level 2 features plus shading patterns and masked images. This is the default setting.

--eps
    Generate an Encapsulated PostScript (EPS) file.

--paper=PAPER
    Set the paper size to one of "A0", "A1", "A2", "A3", "A4", "A5", "B4", "B5", "Letter", "Tabloid", "Ledger", "Legal", "Statement", "Executive", "Folio", "Quarto", "10x14".

--duplex
    Adds the %%IncludeFeature: *Duplex DuplexNoTumble DSC comment to the PostScript file. This tells the print manager to enable duplexing.

--paper-width=WIDTH
    The paper width.

--paper-height=HEIGHT
    The paper height.

--expand
    Expand pages smaller than the paper to fill the paper. By default, pages are not scaled.

--no-shrink
    Don't scale pages which are larger than the paper. By default, pages larger than the paper are shrunk to fit.

--no-center
    Don't center on the paper pages smaller than the paper (after any scaling). By default, pages smaller than the paper are aligned to the lower-left corner.

BUGS

Please send bug reports to https://bugzilla.gnome.org/enter_bug.cgi?product=libgxps.

SEE ALSO

xpstojpeg(1) xpstopng(1) xpstopdf(1) xpstosvg(1)